# Uses of Class
org.apache.avro.ipc.RPCPlugin

Packages that use RPCPlugin
Package
Description
org.apache.avro.ipc
Support for inter-process calls.
org.apache.avro.ipc.stats
Utilities to collect and display IPC statistics.

## Uses of RPCPlugin in org.apache.avro.ipc

Fields in org.apache.avro.ipc with type parameters of type RPCPlugin
Modifier and Type
Field
Description
`protected final List<RPCPlugin>`
Requestor.`rpcMetaPlugins`
`protected final List<RPCPlugin>`
Responder.`rpcMetaPlugins`
Methods in org.apache.avro.ipc with parameters of type RPCPlugin
Modifier and Type
Method
Description
`void`
Requestor.`addRPCPlugin(RPCPlugin plugin)`
Adds a new plugin to manipulate RPC metadata.
`void`
Responder.`addRPCPlugin(RPCPlugin plugin)`
Adds a new plugin to manipulate per-call metadata.

## Uses of RPCPlugin in org.apache.avro.ipc.stats

Subclasses of RPCPlugin in org.apache.avro.ipc.stats
Modifier and Type
Class
Description
`class`
`StatsPlugin`
Collects count and latency statistics about RPC calls.